<?php

include '../../conexion/session.php';
include '../../conexion/conn.php';

$folio_planilla = $_REQUEST['folio_planilla'];
$orden_pallet = $_REQUEST['orden_pallet'];
$folio_pallet = $_REQUEST['folio_pallet'];
$temp_min = $_REQUEST['temp_min'];
$temp_max = $_REQUEST['temp_max'];
$num_termo = $_REQUEST['num_termo'];
$sentido_pallet = $_REQUEST['sentido_pallet'];


$rs = mysql_query("SELECT * FROM contenedor_estiba WHERE folio_planilla='$folio_planilla' AND folio_pallet='$folio_pallet'");

if ($row = mysql_fetch_array($rs)) {
    $sincro = $row['sincro'];
    $cumple_norma = $row['cumple_norma'];
    $folio_planilla = $row['folio_planilla'];
}

if ($sincro == "S") {
    $sincro = "E";
} else if ($sincro == "N") {
    $sincro = "N";
} else if ($sincro == "E") {
    $sincro = "E";
} else {
    $sincro = "N";
}

if ($temp_min > $temp_max) {
    $temp_max2 = $temp_min;
    $temp_min2 = $temp_max;
} else if ($temp_min < $temp_max) {
    $temp_max2 = $temp_max;
    $temp_min2 = $temp_min;
} else if ($temp_min == $temp_max) {
    $temp_max2 = $temp_max;
    $temp_min2 = $temp_min;
}

$rs = mysql_query("SELECT * FROM `contenedor_norma_detalle` where norma_id='1' AND tipo_detalle='TEMP PULPA'");

if ($row = mysql_fetch_array($rs)) {
    $valor1 = $row['valor1'];
    $valor2 = $row['valor2'];
    $valor3 = $row['valor3'];
} else {
    $valor1 = 0;
    $valor2 = 100;
    $valor3 = 100;
}

if ($temp_min2 >= $valor1 && $temp_min2 <= $valor2) {
    $cumple_min = "VERDE";

    $cumple_norma = "SI";
} else if ($temp_min2 > $valor2 && $temp_min2 <= $valor3) {
    $cumple_min = "AMARILLO";

    $cumple_norma = "NO";
} else if ($temp_min2 < $valor1 || $temp_min2 > $valor3) {
    $cumple_min = "ROJO";

    $cumple_norma = "NO";
}

if ($temp_max2 >= $valor1 && $temp_max2 <= $valor2) {
    $cumple_max = "VERDE";
    if ($cumple_norma == "SI") {
        $cumple_norma = "SI";
    } else if ($cumple_norma == "NO") {
        $cumple_norma = "NO";
    }
} else if ($temp_max2 > $valor2 && $temp_max2 <= $valor3) {
    $cumple_max = "AMARILLO";
    if ($cumple_norma == "SI") {
        $cumple_norma = "NO";
    } else if ($cumple_norma == "NO") {
        $cumple_norma = "NO";
    }
} else if ($temp_max2 < $valor1 || $temp_max2 > $valor3) {
    $cumple_max = "ROJO";
    if ($cumple_norma == "SI") {
        $cumple_norma = "NO";
    } else if ($cumple_norma == "NO") {
        $cumple_norma = "NO";
    }
}

if ($num_termo != "") {
    $termografo = "SI";
} else {
    $termografo = "NO";
}

$resultado = mysql_query("UPDATE contenedor_estiba 
                            SET orden_pallet = '$orden_pallet',
                                temp_min = '$temp_min2',
                                temp_max = '$temp_max2',
                                num_termo = '$num_termo',
                                sentido_pallet = '$sentido_pallet',
                                sincro = '$sincro',
                                termografo = '$termografo',
                                cumple_norma = '$cumple_norma'
                            WHERE folio_planilla='$folio_planilla' AND folio_pallet='$folio_pallet'");

if ($resultado) {
    echo json_encode(array('success' => true));
} else {
    echo json_encode(array('success' => false));
}
